asmping(1)

NAME
asmping - check if you can receive IPv4/IPv6 multicast data from an internet host

SYNOPSIS
asmping [ -46v ] [ -I interface ] [ -c count ] [ -s size ] group host

ssmpingd

DESCRIPTION
asmping and ssmpingd are network level multicast management tools that can be used to check whether one can receive multicast packets via ASM from a host. The host target given to asmping must run the ssmpingd daemon, which listens on UDP port 4321 for IPv4 and IPv6 unicast requests. When it receives one, it responds to the specified multicast group which asmping just have joined. Note that one can not use arbitrary groups. Independent of what group is specified, the last quarter of the address is forced to be 234 or ::4321:1234 for IPv4 or IPv6 respectively.

OPTIONS
For ssmpingd there are no options. For asmping the options are as follows.

-4  Force IPv4

-6  Force IPv6

-v  Print client and server version information.

-I interface
    Interface to join on

-c count
    Stop after sending (and receiving) count requests (and replies)

-s size
    Request replies to have a size of size bytes

SEE ALSO
ssmping(1) a tool for checking whether can receive SSM.

dbeacon(1) a distributed beacon multicast implementation.

BUGS
Please report them to Stig Venaas <venaas@uninett.no>, the author of this tool.

HISTORY
asmping and ssmpingd were developed by Stig Venaas during the early days of the m6bone, the IPv6 multicast backbone.